Subject: Re: [lojban] More interface words

From: Rob Speer <[email-masked]>
Date: Mon, 23 Apr 2001 14:27:38 -0400

On Mon, Apr 23, 2001 at 01:30:38AM -0400, Value Yourself wrote:
> On Sun, 22 Apr 2001, Rob Speer wrote:
> 
> > Okay, in what I've done now I've got a few more words.
> >
> > dialog box: reirdatni canko
> 
> 
> Why not reica'o? (Isn't the datni part implied, or redundant?)

Possibly. I want some sort of distinction between "question box" (a yes/no or
OK/Cancel kind of thing) and "dialog box".

> > command: selmi'e
> > applet: cmamutmi'i
> > (I'm sticking by mutmi'i this time. The process (samru'e) performed by an
> > applet may not be small, but the program in general (mutmi'i) is
> > unobtrusive and small in its representation.)
> 
> 
> Although, also consider selpla mutmi'i. I would consider the "size" of a
> piece of software to be its memory footprint instead of the size of its
> icon.

plan-ish program? Sounds like a development environment to me. Where does the
'small' part go?

> > animation: mu'uxra
> skina?

That could work for an MPEG or AVI or something, but the context in which I'm
using it here is for a dumb applet which shows a three-frame animation of a
fish. Pretty lousy 'cinema' if you want to call it that. :)

> > clipboard: datnysro
> > GMT (Greenwich Mean Time): tcika befo la grenitc.
> 
> Heh, this should be the default standard for time unless otherwise
> specified!

Really? I'd think local time would tend to be more useful for most
conversation.

> "universal time" is the preferred international wording, so mu'etcika?
> (I really don't know why they didn't choose "earth time" instead. Hubris?
> We might make Lojban space-friendly and use tedytcika!)

A quote I vaguely remember from somewhere: "If they ever find extraterrestrial
life, it's certainly going to make the Miss Universe competition more
interesting."

I'll use tedytcika.

> Not that you aren't, but one good thing to consider might be standardizing
> on a "voice"; will the voice be that of the user ("I want to shutdown"),
> that of the computer ("Shut me down"), or a narrator ("Shut your computer
> down")...I think you will find all three mixed randomly throughout
> existing software. I don't have a strong preference.

What I've been doing is:
- I use the voice of the user when the text corresponds to a control that the
user selects
("ko benji le tcika le datnysro")
- I use the voice of the computer when the text is just information
("ledo canko jitro na mapti la gnom.")
- I avoid pronouns (that would be the narrator, I guess) when I'm not sure.

-- 
Rob Speer